/* acconfig.h
   This file is in the public domain.

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* Define if on AIX 3.
   System headers sometimes define this.
   We just want to avoid a redefinition error message.  */
#ifndef _ALL_SOURCE
#undef _ALL_SOURCE
#endif

/* Define if nls should be included */
#undef ENABLE_NLS

/* Define if you have catgets */
#undef HAVE_CATGETS

/* Define if you have gettext */
#undef HAVE_GETTEXT

/* Define if you have lc_messages */
#undef HAVE_LC_MESSAGES

/* Define if you have the data type long long */
#define HAVE_LONG_LONG 1

/* Define if you have S_ISLNK */
#define HAVE_S_ISLNK 1

/* Define if you have stpcpy */
#undef HAVE_STPCPY


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
