;; examples/startup.scm
;;
;; Initialization file for example interpreter.
;;
;; Copyright (C) 2000 Martin Grabmueller <mgrabmue@cs.tu-berlin.de>
;;
;; This is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.
;; 
;; This software is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with this package; see the file COPYING.  If not, write to
;; the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.  

;; Display banner.  ==================================================
(display "* Hello, I am an example init file.\n")
(display "* Loading...  ")

;; Set some C variables.  ============================================

;; Definition of helper variable.
(define base-port 2340)

;; A lot of arithmetic operations can be used in init files.
(set! binary-port (+ base-port 5))
(set! command-port (+ base-port 6))

(set! hostname "tortoise.mgrabmue.net")

;; (not (not ...)) converts value to boolean value...
(set! verbose (not (not (member "-v" (command-line)))))

;; String operations are supported as well as an accessor function to
;; the environment.
(set! download-area (string-append (getenv "HOME") "/download"))

(set! kill-lines '("k:bla.fasel.org" "k:foo.bar.de" "k:honk.zonk.org"))

;; We are done.  =====================================================
(display "done.\n")
